Bug 21407 - Can't enter new macros in the advanced cataloging editor (rancor)
Summary: Can't enter new macros in the advanced cataloging editor (rancor)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal with 1 vote (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_17_11_candidate, rel_18_05_candidate
Depends on:
Blocks:
 
Reported: 2018-09-25 10:33 UTC by Nick Clemens
Modified: 2019-01-08 06:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21407: Can't enter new macros in the advanced cataloging editor (rancor) (325.29 KB, patch)
2018-09-25 15:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21407: Can't enter new macros in the advanced cataloging editor (rancor) (325.21 KB, patch)
2018-09-26 21:53 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21407: Can't enter new macros in the advanced cataloging editor (rancor) (325.27 KB, patch)
2018-09-27 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-09-25 10:33:17 UTC
Seems to be a styling issue - if I remove 'flex' from the css using the inspector the box appears to work.
Comment 1 Owen Leonard 2018-09-25 13:50:52 UTC
It appears that a Codemirror upgrade fixes this.
Comment 2 Owen Leonard 2018-09-25 15:13:10 UTC Comment hidden (obsolete)
Comment 3 Michal Denar 2018-09-26 21:53:39 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-09-27 10:05:58 UTC
Created attachment 79472 [details] [review]
Bug 21407: Can't enter new macros in the advanced cataloging editor (rancor)

This patch upgrades Codemirror to the latest version (5.40.2). Doing so
fixes a problem with the advanced cataloging editor's macro editor which
appears in the latest version of Firefox (62): The first line of the
macro editor is not visible.

To test, apply the patch and clear your browser cache if necessary.
EnableAdvancedCatalogingEditor must be set to "Enable."

- Go to Cataloging -> Advanced editor.
- Click the "Macros" toolbar button.
- In the main part of this modal window you should see a blank line
  marked "1."
- Click "New macro..."
- The editor's line 1 should now be editable. Enter text to confirm that
  it works correctly.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2018-09-28 19:59:22 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-03 09:21:29 UTC
Pushed to 18.05.x for 18.05.05
Comment 7 Fridolin SOMERS 2018-10-08 06:12:43 UTC
Pushed to 17.11.x for 17.11.11
Comment 8 AspenCat Team 2019-01-07 22:43:04 UTC
This is quite frustrating as it seems browser dependent.
Comment 9 Martin Renvoize 2019-01-08 06:13:05 UTC
Are you suggesting there's still a problem here?  If that's the case can you open a new bug and describe how to replicate it including which browser it is presenting in.
Comment 10 AspenCat Team 2019-01-08 06:58:42 UTC
(In reply to Martin Renvoize from comment #9)
> Are you suggesting there's still a problem here?  If that's the case can you
> open a new bug and describe how to replicate it including which browser it
> is presenting in.

Sorry - The patch which fixed this is loaded to our test site, so all is good.  New to the system.